For the complete documentation index, see llms.txt. This page is also available as Markdown.

Webhooks

Overview

This set of endpoints allows you to do all kinds of operations on your community webhooks. Learn more about how webhooks work and which events are available on our product documentation.

API Reference

List all webhooks of your community

get
Path parameters
subdomainstringRequired
Query parameters
cursorstring · max: 100 · nullableOptional
limitinteger · min: 1 · max: 100Optional
Header parameters
authorizationstringOptional
x-api-keystringOptional
x-zealy-mcp-clientstring · enumOptionalPossible values:
Responses
200

200

application/json
or
get/public/communities/{subdomain}/webhooks
GET /public/communities/{subdomain}/webhooks HTTP/1.1
Host: api-v2.zealy.io
Accept: */*
{
  "items": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "uri": "https://example.com",
      "communityId": "123e4567-e89b-12d3-a456-426614174000",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "active": true,
      "secret": "text",
      "events": [
        "JOINED_COMMUNITY"
      ],
      "success": 1,
      "failed": 1,
      "exhausted": 1
    }
  ],
  "nextCursor": "text"
}

Create a new webhook

post
Path parameters
subdomainstringRequired
Header parameters
authorizationstringOptional
x-api-keystringOptional
x-zealy-mcp-clientstring · enumOptionalPossible values:
Body
namestring · min: 1Required
uristring · uriRequired
activebooleanRequired
Responses
200

200

application/json
idstring · uuidRequired
post/public/communities/{subdomain}/webhooks
POST /public/communities/{subdomain}/webhooks HTTP/1.1
Host: api-v2.zealy.io
Content-Type: application/json
Accept: */*
Content-Length: 87

{
  "name": "text",
  "uri": "https://example.com",
  "active": true,
  "events": [
    "JOINED_COMMUNITY"
  ]
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000"
}

Delete a webhook

delete
Path parameters
webhookIdstring · uuidRequired
subdomainstringRequired
Header parameters
authorizationstringOptional
x-api-keystringOptional
x-zealy-mcp-clientstring · enumOptionalPossible values:
x-zealy-confirmation-tokenstring · uuidOptional
Responses
200

200

No content

delete/public/communities/{subdomain}/webhooks/{webhookId}
DELETE /public/communities/{subdomain}/webhooks/{webhookId} HTTP/1.1
Host: api-v2.zealy.io
Accept: */*

No content

Update a webhook

patch
Path parameters
webhookIdstring · uuidRequired
subdomainstringRequired
Header parameters
authorizationstringOptional
x-api-keystringOptional
x-zealy-mcp-clientstring · enumOptionalPossible values:
x-zealy-confirmation-tokenstring · uuidOptional
Body
namestring · min: 1Optional
activebooleanOptional
uristring · uriOptional
Responses
200

200

No content

patch/public/communities/{subdomain}/webhooks/{webhookId}
PATCH /public/communities/{subdomain}/webhooks/{webhookId} HTTP/1.1
Host: api-v2.zealy.io
Content-Type: application/json
Accept: */*
Content-Length: 87

{
  "name": "text",
  "active": true,
  "uri": "https://example.com",
  "events": [
    "JOINED_COMMUNITY"
  ]
}

No content

List available event types a webhook can subscribe to

get
Path parameters
subdomainstringRequired
Header parameters
authorizationstringOptional
x-api-keystringOptional
x-zealy-mcp-clientstring · enumOptionalPossible values:
Responses
200

200

application/json
itemsstring · enumOptionalPossible values:
get/public/communities/{subdomain}/webhooks-event-types
GET /public/communities/{subdomain}/webhooks-event-types HTTP/1.1
Host: api-v2.zealy.io
Accept: */*
[
  "JOINED_COMMUNITY"
]

List events a webhook is subscribed to

get
Path parameters
subdomainstringRequired
webhookIdstring · uuidRequired
Query parameters
limitinteger · min: 1 · max: 100OptionalDefault: 100
pageinteger · max: 1000 · nullableOptionalDefault: 0
Header parameters
authorizationstringOptional
x-api-keystringOptional
x-zealy-mcp-clientstring · enumOptionalPossible values:
Responses
200

200

application/json
pagenumberRequired
get/public/communities/{subdomain}/webhooks/{webhookId}/events
GET /public/communities/{subdomain}/webhooks/{webhookId}/events?statusFilter=success HTTP/1.1
Host: api-v2.zealy.io
Accept: */*
{
  "items": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "webhookId": "123e4567-e89b-12d3-a456-426614174000",
      "status": "success",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "retryAt": "2026-01-01T00:00:00.000Z",
      "eventType": "text",
      "tries": 1
    }
  ],
  "page": 1
}

Last updated

Was this helpful?